package com.srs.dormitory.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.dormitory.domain.DmsAccommodations;

/**
 * 外宿申请Service接口
 *
 * @author srs
 * @date 2025-11-11
 */
public interface IDmsAccommodationsService extends IService<DmsAccommodations> {
    /**
     * 查询外宿申请
     *
     * @param id 外宿申请主键
     * @return 外宿申请
     */
    public DmsAccommodations selectDmsAccommodationsById(Long id);

    /**
     * 查询外宿申请列表
     *
     * @param dmsAccommodations 外宿申请
     * @return 外宿申请集合
     */
    List<DmsAccommodations> selectDmsAccommodationsList(DmsAccommodations dmsAccommodations);

    /**
     * 新增外宿申请
     *
     * @param dmsAccommodations 外宿申请
     * @return 结果
     */
    int insertDmsAccommodations(DmsAccommodations dmsAccommodations);

    /**
     * 修改外宿申请
     *
     * @param dmsAccommodations 外宿申请
     * @return 结果
     */
    int updateDmsAccommodations(DmsAccommodations dmsAccommodations);

    /**
     * 批量删除外宿申请
     *
     * @param ids 需要删除的外宿申请主键集合
     * @return 结果
     */
    int deleteDmsAccommodationsByIds(Long[] ids);

    /**
     * 删除外宿申请信息
     *
     * @param id 外宿申请主键
     * @return 结果
     */
    int deleteDmsAccommodationsById(Long id);

    DmsAccommodations getStuDormitory(String stuNo);
}
